﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Drawing.Imaging;
using System.Text;
using System.Windows.Forms;
using System.Xml;

namespace EMFImageSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            using (Bitmap bitmap = new Bitmap(300, 200))
            {
                using (Graphics graphics = Graphics.FromImage(bitmap))
                {
                    string text = "Sample Text!";
                    using (Font font = new Font("Times New Roman", 28))
                    {
                        using (SolidBrush brush = new SolidBrush(Color.Black))
                        {
                            graphics.DrawString(text, font, brush, new PointF(50, 50));
                        }
                    }
                }
                bitmap.Save(Application.StartupPath + "\\SampleImage.emf", ImageFormat.Emf);
            }

            SectionReport1 rpt = new SectionReport1();
            rpt.Run();
            viewer1.Document = rpt.Document;
            viewer1.Document.Pages[0].DrawImage(System.Drawing.Image.FromFile(Application.StartupPath + "\\SampleImage.emf"), 1, 1, 1, 1);

            GrapeCity.ActiveReports.Export.Pdf.Section.PdfExport pdfExport = new GrapeCity.ActiveReports.Export.Pdf.Section.PdfExport();
            pdfExport.Export(rpt.Document, Application.StartupPath + "\\MyPDF.pdf");
            Process.Start(Application.StartupPath + "\\MyPDF.pdf");
        }
    }
}
